Loading...
Searching...
No Matches
Opm::SerializableSim Struct Referenceabstract

Abstract interface for simulator serialization ops. More...

`#include <SimulatorSerializer.hpp>`

Inheritance diagram for Opm::SerializableSim:

## Public Member Functions

virtual void | loadState (HDF5Serializer &serializer, const std::string &groupName)=0
| Load simulator state from file.
virtual void | saveState (HDF5Serializer &serializer, const std::string &groupName) const =0
| Save simulator state to file.
virtual std::array< std::string, 5 > | getHeader () const =0
| Get header info to save to file.
virtual const std::vector< int > & | getCellMapping () const =0
| Obtain local-to-global cell mapping.

## Detailed Description

Abstract interface for simulator serialization ops.

## Member Function Documentation

## getCellMapping()

virtual const std::vector< int > & Opm::SerializableSim::getCellMapping | ( |  | ) | const

pure virtual

Obtain local-to-global cell mapping.

Implemented in Opm::SimulatorFullyImplicitBlackoil< TypeTag >.

## getHeader()

virtual std::array< std::string, 5 > Opm::SerializableSim::getHeader | ( |  | ) | const

pure virtual

Get header info to save to file.

Implemented in Opm::SimulatorFullyImplicitBlackoil< TypeTag >.

## loadState()

virtual void Opm::SerializableSim::loadState | ( | HDF5Serializer & | serializer,
|  | const std::string & | groupName )

pure virtual

Load simulator state from file.

Implemented in Opm::SimulatorFullyImplicitBlackoil< TypeTag >.

## saveState()

virtual void Opm::SerializableSim::saveState | ( | HDF5Serializer & | serializer,
|  | const std::string & | groupName ) const

pure virtual

Save simulator state to file.

Implemented in Opm::SimulatorFullyImplicitBlackoil< TypeTag >.

The documentation for this struct was generated from the following file:

- opm/simulators/flow/SimulatorSerializer.hpp